Package org.lwjgl.opencl

# Class CLEvent

java.lang.Object
org.lwjgl.PointerWrapperAbstract
org.lwjgl.opencl.CLEvent

All Implemented Interfaces:
  `PointerWrapper`

public final class CLEvent extends PointerWrapperAbstract
This class is a wrapper around a cl_mem pointer.

Author:
  Spasi

## Field Summary

### Fields inherited from class org.lwjgl.PointerWrapperAbstract

`pointer`

## Method Summary

Modifier and Type
Method
Description
`CLCommandQueue`
`getCLCommandQueue()`
Returns the command-queue associated with this event.
`int`
`getInfoInt(int param_name)`
Returns the integer value of the specified parameter.
`CLContext`
`getParent()`
`long`
`getProfilingInfoLong(int param_name)`
Returns the long value of the specified parameter.
`final int`
`getReferenceCount()`
`final boolean`
`isValid()`
Returns true if this object represents a valid pointer.

### Methods inherited from class org.lwjgl.PointerWrapperAbstract

`checkValid, equals, getPointer, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getCLCommandQueue

public CLCommandQueue getCLCommandQueue()
Returns the command-queue associated with this event. For user events this method returns null.

Returns:
  the command-queue or null if this is a user event

### getInfoInt

public int getInfoInt(int param_name)
Returns the integer value of the specified parameter.

Parameters:
  `param_name` - the parameter
Returns:
  the parameter value

### getProfilingInfoLong

public long getProfilingInfoLong(int param_name)
Returns the long value of the specified parameter. Can be used for both cl_ulong and cl_bitfield parameters.

Parameters:
  `param_name` - the parameter
Returns:
  the parameter value

### getParent

public CLContext getParent()

### getReferenceCount

public final int getReferenceCount()

### isValid

public final boolean isValid()
Description copied from class: `PointerWrapperAbstract`
Returns true if this object represents a valid pointer. The pointer might be invalid because it is NULL or because some other action has deleted the object that this pointer represents.

Overrides:
  `isValid` in class `PointerWrapperAbstract`
Returns:
  true if the pointer is valid